| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions
Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >, Functor >.

List of all members.

## Public Types

- typedef R ResultType
- typedef R(* InvokeType )(AbstractFunctorCaller *, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)

## Public Member Functions

- FunctorCaller6 (const Functor &functor)

## Static Public Member Functions

- static ResultType invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6)

### template<class Functor, class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
struct Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >

## Member Typedef Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::ResultType

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

typedef R(* Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::InvokeType)(AbstractFunctorCaller *, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)

## Constructor & Destructor Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::FunctorCaller6 | ( | const Functor & | functor | ) | `[inline, explicit]`

## Member Function Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 >

static ResultType Tp::FunctorCaller6< Functor, R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6
| ) |  | `[inline, static]`